twang(6x)

NAME
twang - pluck pieces of the screen

SYNOPSIS
twang [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number] [--mono] [--install] [--visual visual] [--shm] [--no-shm] [--delay usecs] [--duration secs] [--border-color color] [--border-width integer] [--event-chance fraction] [--friction fraction] [--springiness fraction] [--tile-size integer] [--transference fraction] [--fps]

DESCRIPTION
Twang divides the screen into equal-sized tiles, and then plucks them in various ways. Tiles are affected by their neighbors, so waves of motion flow through the grid. This manpage describes v1.3 of the program.

OPTIONS
twang accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--shm

--no-shm
    Use the shared memory extension (or not, respectively), if available. This may speed things up a bit, but probably won't make that much difference. If available, defaults to true, resource useSHM.

--delay microseconds
    The interframe delay, in microseconds. Defaults to 10000, resource delay.

--duration seconds
    How long to run before loading a new image. Default 120 seconds.

--border-color color
    Color of the border surrounding each tile. Defaults to blue, resource borderColor.

--border-width integer
    Width of the border surrounding each tile. Defaults to 3, resource borderWidth.

--event-chance fraction
    The chance, per iteration, for an event to occur (such as tweaking the orientation of a tile), in the range 0..1. Defaults to 0.01, resource eventChance.

--friction fraction
    How much friction there is in the system, in the range 0..1. This is the amount by which velocities are damped per iteration. Defaults to 0.05, resource friction.

--springiness fraction
    How springy the tiles are, in the range 0..1. This is the fraction of an orientation that gets turned into a velocity towards the center (resting point). Defaults to 0.1, resource springiness.

--tile-size integer
    Size (width and height) of each tile, not including the outer edge of the border. Defaults to 120, resource tileSize.

--transference fraction
    How much a tile's neighbors affect it, in the range 0..1. This is the fraction of an orientation of a neighbor that gets turned into a velocity in the same direction Defaults to 0.025, resource transference.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

X RESOURCES
There are resource equivalents for each option, noted above.

BUGS
twang should have more interesting events.

Ways of speeding it up need to be investigated. It's kinda sluggish,
    especially on hugeass displays.

SEE ALSO
xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Dan Bornstein. All rights reserved.

Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Dan Bornstein <danfuzz@milk.com>.